#include <iostream>
#include <iomanip>
#include <algorithm>

using namespace std;

void unos(unsigned a[],int n)
{
    for(int i=0;i<n;i++)
        cin>>a[i];
}

int karta(unsigned a[],int n,int k)
{
    if(k==a[n-1])
        return a[0];
    else
    {
        for(int i=0;i<n-1;i++)
            if(a[i]==k)
                return a[i+1];
    }
}

int main()
{
    ios::sync_with_stdio(false);
    unsigned n,k;
    cin>>n>>k;
    unsigned a[n];
    unos(a,n);
    cout<<karta(a,n,k);

    return 0;
}